# Interface AnimationOptions

interface AnimationOptions {
addClass: string;
from: any;
removeClass: string;
to: string;
}

- Defined in animations/animate.js:8

#####
Index

### Properties

addClass
from
removeClass
to

##
Properties

### addClass

addClass: string

space-separated CSS classes to add to element

- Defined in animations/animate.js:9

### from

from: any

CSS properties & values at the beginning of animation. Must have matching `to`

- Defined in animations/animate.js:10

### removeClass

removeClass: string

space-separated CSS classes to remove from element

- Defined in animations/animate.js:11

### to

to: string

CSS properties & values at end of animation. Must have matching `from`

- Defined in animations/animate.js:12